if (window.webkitNotifications)
{
	(function()
	{
		var osd = document.getElementById("notify-osd");

		window.webkitNotifications.originalCreateNotification = window.webkitNotifications.createNotification;
		window.webkitNotifications.createNotification = function(iconUrl, title, body)
		{
			if( window.webkitNotifications.checkPermission() == 0 )
			{
				var n = window.webkitNotifications.originalCreateNotification(iconUrl, title, body);
				n.original_show = n.show;
				n.show = function()
				{
					osd.notify(title,body,iconUrl);
					console.log("NOTIFY!", title, body, iconUrl);
				}
			
				return n;
			}
			else
			{
				return false;
			}
		}
	})();
}
